For the complete documentation index, see llms.txt. This page is also available as Markdown.

Memberships

Membership plans, subscriptions, enrollments, and prepaid packages.

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
jobIdstringRequired
Responses
200Success

No content

get/membership/jobs/{jobId}
GET /apis/v2/membership/jobs/{jobId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Success

No content

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
typestringWrite-onlyRequired
datestring · date-timeOptional
jobobjectRead-onlyRequired
_linksobjectRequired
Responses
201Success

No content

post/membership/jobs/capture
POST /apis/v2/membership/jobs/capture HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 61

{
  "type": "text",
  "date": "2026-01-01T00:00:00.000Z",
  "_links": {}
}
201Success

No content

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
includeUnlistedbooleanOptional

Include unlisted memberships, based on permissions.

Example: false
slugstringOptional

Filter by membership slug.

Example: basic-membership
pagenumberRequired
ippnumberRequired
membershipIdstring[]Optional

Filter memberships by membership id. Supports multiple.

areaIdstring[]Optional

Filter memberships by area id. Supports multiple.

expandstring[]OptionalExample: ["items._links.areas"]
Responses
200

Returns a MembershipCollection

application/json
get/memberships
GET /apis/v2/memberships?page=1&ipp=1 HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a MembershipCollection

{
  "items": [
    {
      "id": "text",
      "displayName": "text",
      "description": "text",
      "type": "GLOBAL_MEMBER",
      "membershipPlan": {
        "id": "text",
        "displayName": "text"
      },
      "status": "ACTIVE",
      "yearlyPrice": 1,
      "monthlyPrice": 1,
      "monthlyDisplayPrice": "text",
      "initiationFeeMonthly": 1,
      "initiationFeeYearly": 1,
      "additionalMemberFee": 1,
      "additionalMembersCap": 1,
      "bookingHorizonDays": 1,
      "benefits": {
        "items": [
          {}
        ],
        "_links": {
          "self": {
            "href": "text"
          }
        },
        "_total": 1
      },
      "showSubscriptionDetails": true,
      "allowPublicCancellation": true,
      "isGroupMembership": true,
      "areas": {
        "items": [
          "text"
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "membershipAreas": {
        "items": [
          "text"
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "tags": "MOST_POPULAR",
      "settings": {
        "items": [
          {
            "id": "membership.priority",
            "value": {}
          }
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "subscriptionsCount": 1,
      "hasOrHadMembers": true,
      "slug": "text",
      "taxRegionId": "text",
      "allowedChargeTypes": [
        "YEARLY"
      ],
      "contactEmail": "text",
      "oneTimePriceOptions": {
        "items": [
          {
            "id": "text",
            "price": 1,
            "durationDays": 1,
            "listed": true
          }
        ],
        "_links": {
          "self": {
            "href": "text"
          }
        },
        "_total": 1
      },
      "priceChangeScope": "ALL_CURRENT",
      "presalesEndDateChangeScope": "ADJUST_SUBSCRIPTIONS",
      "adjustMonthlyGrantDates": true,
      "errors": [
        {
          "code": "text",
          "message": "text",
          "details": {}
        }
      ],
      "_links": {}
    }
  ],
  "_pagination": {
    "page": 1,
    "ipp": 1,
    "count": 1,
    "total": 1
  },
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
idstringRequired
displayNamestringRequired
descriptionstringRequired
typestring · enumRequiredPossible values:
statusstring · enumRequiredPossible values:
yearlyPricenumberOptional
monthlyPricenumberOptional
monthlyDisplayPricestringOptional
initiationFeeMonthlynumberOptional
initiationFeeYearlynumberOptional
additionalMemberFeenumberOptional
additionalMembersCapnumberOptional
bookingHorizonDaysnumberOptional

If specified, overrides the tenant setting company.bookingHorizonDays.members

showSubscriptionDetailsbooleanOptional
allowPublicCancellationbooleanOptional
isGroupMembershipbooleanOptional
tagsstring · enumRequiredPossible values:
subscriptionsCountnumber · nullableRead-onlyOptional
hasOrHadMembersbooleanRead-onlyOptional
slugstringRequired
taxRegionIdstringRead-onlyOptional
contactEmailstringOptional
priceChangeScopestring · enumOptional

Scope for price changes: ALL_CURRENT updates existing members, NEW_ONLY applies only to new subscriptions

Possible values:
presalesEndDateChangeScopestring · enumOptional

Scope for presales end date changes: ADJUST_SUBSCRIPTIONS updates existing subscribers, NO_CHANGE leaves subscriptions unchanged

Possible values:
adjustMonthlyGrantDatesbooleanOptional

When true and presalesEndDateChangeScope is ADJUST_SUBSCRIPTIONS, also adjusts nextGrantDate for monthly subscriptions

_linksobjectRequired
Responses
201

Returns a Membership

application/json
idstringRequired
displayNamestringRequired
descriptionstringRequired
typestring · enumRequiredPossible values:
statusstring · enumRequiredPossible values:
yearlyPricenumberOptional
monthlyPricenumberOptional
monthlyDisplayPricestringOptional
initiationFeeMonthlynumberOptional
initiationFeeYearlynumberOptional
additionalMemberFeenumberOptional
additionalMembersCapnumberOptional
bookingHorizonDaysnumberOptional

If specified, overrides the tenant setting company.bookingHorizonDays.members

showSubscriptionDetailsbooleanOptional
allowPublicCancellationbooleanOptional
isGroupMembershipbooleanOptional
tagsstring · enumRequiredPossible values:
subscriptionsCountnumber · nullableRead-onlyOptional
hasOrHadMembersbooleanRead-onlyOptional
slugstringRequired
taxRegionIdstringRead-onlyOptional
contactEmailstringOptional
priceChangeScopestring · enumOptional

Scope for price changes: ALL_CURRENT updates existing members, NEW_ONLY applies only to new subscriptions

Possible values:
presalesEndDateChangeScopestring · enumOptional

Scope for presales end date changes: ADJUST_SUBSCRIPTIONS updates existing subscribers, NO_CHANGE leaves subscriptions unchanged

Possible values:
adjustMonthlyGrantDatesbooleanOptional

When true and presalesEndDateChangeScope is ADJUST_SUBSCRIPTIONS, also adjusts nextGrantDate for monthly subscriptions

_linksobjectRequired
post/memberships
POST /apis/v2/memberships HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1076

{
  "id": "text",
  "displayName": "text",
  "description": "text",
  "type": "GLOBAL_MEMBER",
  "membershipPlan": {
    "id": "text",
    "displayName": "text"
  },
  "status": "ACTIVE",
  "yearlyPrice": 1,
  "monthlyPrice": 1,
  "monthlyDisplayPrice": "text",
  "initiationFeeMonthly": 1,
  "initiationFeeYearly": 1,
  "additionalMemberFee": 1,
  "additionalMembersCap": 1,
  "bookingHorizonDays": 1,
  "benefits": {
    "items": [
      {}
    ],
    "_links": {
      "self": {
        "href": "text"
      }
    },
    "_total": 1
  },
  "showSubscriptionDetails": true,
  "allowPublicCancellation": true,
  "isGroupMembership": true,
  "areas": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "membershipAreas": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "tags": "MOST_POPULAR",
  "settings": {
    "items": [
      {
        "value": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "slug": "text",
  "allowedChargeTypes": [
    "YEARLY"
  ],
  "contactEmail": "text",
  "oneTimePriceOptions": {
    "items": [
      {
        "id": "text",
        "price": 1,
        "durationDays": 1,
        "listed": true
      }
    ],
    "_links": {
      "self": {
        "href": "text"
      }
    },
    "_total": 1
  },
  "priceChangeScope": "ALL_CURRENT",
  "presalesEndDateChangeScope": "ADJUST_SUBSCRIPTIONS",
  "adjustMonthlyGrantDates": true,
  "_links": {}
}
{
  "id": "text",
  "displayName": "text",
  "description": "text",
  "type": "GLOBAL_MEMBER",
  "membershipPlan": {
    "id": "text",
    "displayName": "text"
  },
  "status": "ACTIVE",
  "yearlyPrice": 1,
  "monthlyPrice": 1,
  "monthlyDisplayPrice": "text",
  "initiationFeeMonthly": 1,
  "initiationFeeYearly": 1,
  "additionalMemberFee": 1,
  "additionalMembersCap": 1,
  "bookingHorizonDays": 1,
  "benefits": {
    "items": [
      {}
    ],
    "_links": {
      "self": {
        "href": "text"
      }
    },
    "_total": 1
  },
  "showSubscriptionDetails": true,
  "allowPublicCancellation": true,
  "isGroupMembership": true,
  "areas": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "membershipAreas": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "tags": "MOST_POPULAR",
  "settings": {
    "items": [
      {
        "id": "membership.priority",
        "value": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "subscriptionsCount": 1,
  "hasOrHadMembers": true,
  "slug": "text",
  "taxRegionId": "text",
  "allowedChargeTypes": [
    "YEARLY"
  ],
  "contactEmail": "text",
  "oneTimePriceOptions": {
    "items": [
      {
        "id": "text",
        "price": 1,
        "durationDays": 1,
        "listed": true
      }
    ],
    "_links": {
      "self": {
        "href": "text"
      }
    },
    "_total": 1
  },
  "priceChangeScope": "ALL_CURRENT",
  "presalesEndDateChangeScope": "ADJUST_SUBSCRIPTIONS",
  "adjustMonthlyGrantDates": true,
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
membershipIdstringRequiredExample: f94e8bf8-454f-4f78-b358-1543ccc05d15
Query parameters
expandstring[]OptionalExample: ["_links.areas"]
Responses
200

Returns a Membership

application/json
idstringRequired
displayNamestringRequired
descriptionstringRequired
typestring · enumRequiredPossible values:
statusstring · enumRequiredPossible values:
yearlyPricenumberOptional
monthlyPricenumberOptional
monthlyDisplayPricestringOptional
initiationFeeMonthlynumberOptional
initiationFeeYearlynumberOptional
additionalMemberFeenumberOptional
additionalMembersCapnumberOptional
bookingHorizonDaysnumberOptional

If specified, overrides the tenant setting company.bookingHorizonDays.members

showSubscriptionDetailsbooleanOptional
allowPublicCancellationbooleanOptional
isGroupMembershipbooleanOptional
tagsstring · enumRequiredPossible values:
subscriptionsCountnumber · nullableRead-onlyOptional
hasOrHadMembersbooleanRead-onlyOptional
slugstringRequired
taxRegionIdstringRead-onlyOptional
contactEmailstringOptional
priceChangeScopestring · enumOptional

Scope for price changes: ALL_CURRENT updates existing members, NEW_ONLY applies only to new subscriptions

Possible values:
presalesEndDateChangeScopestring · enumOptional

Scope for presales end date changes: ADJUST_SUBSCRIPTIONS updates existing subscribers, NO_CHANGE leaves subscriptions unchanged

Possible values:
adjustMonthlyGrantDatesbooleanOptional

When true and presalesEndDateChangeScope is ADJUST_SUBSCRIPTIONS, also adjusts nextGrantDate for monthly subscriptions

_linksobjectRequired
get/memberships/{membershipId}
GET /apis/v2/memberships/{membershipId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a Membership

{
  "id": "text",
  "displayName": "text",
  "description": "text",
  "type": "GLOBAL_MEMBER",
  "membershipPlan": {
    "id": "text",
    "displayName": "text"
  },
  "status": "ACTIVE",
  "yearlyPrice": 1,
  "monthlyPrice": 1,
  "monthlyDisplayPrice": "text",
  "initiationFeeMonthly": 1,
  "initiationFeeYearly": 1,
  "additionalMemberFee": 1,
  "additionalMembersCap": 1,
  "bookingHorizonDays": 1,
  "benefits": {
    "items": [
      {}
    ],
    "_links": {
      "self": {
        "href": "text"
      }
    },
    "_total": 1
  },
  "showSubscriptionDetails": true,
  "allowPublicCancellation": true,
  "isGroupMembership": true,
  "areas": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "membershipAreas": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "tags": "MOST_POPULAR",
  "settings": {
    "items": [
      {
        "id": "membership.priority",
        "value": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "subscriptionsCount": 1,
  "hasOrHadMembers": true,
  "slug": "text",
  "taxRegionId": "text",
  "allowedChargeTypes": [
    "YEARLY"
  ],
  "contactEmail": "text",
  "oneTimePriceOptions": {
    "items": [
      {
        "id": "text",
        "price": 1,
        "durationDays": 1,
        "listed": true
      }
    ],
    "_links": {
      "self": {
        "href": "text"
      }
    },
    "_total": 1
  },
  "priceChangeScope": "ALL_CURRENT",
  "presalesEndDateChangeScope": "ADJUST_SUBSCRIPTIONS",
  "adjustMonthlyGrantDates": true,
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
membershipIdstringRequiredExample: f94e8bf8-454f-4f78-b358-1543ccc05d15
Body
idstringRequired
displayNamestringRequired
descriptionstringRequired
typestring · enumRequiredPossible values:
statusstring · enumRequiredPossible values:
yearlyPricenumberOptional
monthlyPricenumberOptional
monthlyDisplayPricestringOptional
initiationFeeMonthlynumberOptional
initiationFeeYearlynumberOptional
additionalMemberFeenumberOptional
additionalMembersCapnumberOptional
bookingHorizonDaysnumberOptional

If specified, overrides the tenant setting company.bookingHorizonDays.members

showSubscriptionDetailsbooleanOptional
allowPublicCancellationbooleanOptional
isGroupMembershipbooleanOptional
tagsstring · enumRequiredPossible values:
subscriptionsCountnumber · nullableRead-onlyOptional
hasOrHadMembersbooleanRead-onlyOptional
slugstringRequired
taxRegionIdstringRead-onlyOptional
contactEmailstringOptional
priceChangeScopestring · enumOptional

Scope for price changes: ALL_CURRENT updates existing members, NEW_ONLY applies only to new subscriptions

Possible values:
presalesEndDateChangeScopestring · enumOptional

Scope for presales end date changes: ADJUST_SUBSCRIPTIONS updates existing subscribers, NO_CHANGE leaves subscriptions unchanged

Possible values:
adjustMonthlyGrantDatesbooleanOptional

When true and presalesEndDateChangeScope is ADJUST_SUBSCRIPTIONS, also adjusts nextGrantDate for monthly subscriptions

_linksobjectRequired
Responses
200

Returns a Membership

application/json
idstringRequired
displayNamestringRequired
descriptionstringRequired
typestring · enumRequiredPossible values:
statusstring · enumRequiredPossible values:
yearlyPricenumberOptional
monthlyPricenumberOptional
monthlyDisplayPricestringOptional
initiationFeeMonthlynumberOptional
initiationFeeYearlynumberOptional
additionalMemberFeenumberOptional
additionalMembersCapnumberOptional
bookingHorizonDaysnumberOptional

If specified, overrides the tenant setting company.bookingHorizonDays.members

showSubscriptionDetailsbooleanOptional
allowPublicCancellationbooleanOptional
isGroupMembershipbooleanOptional
tagsstring · enumRequiredPossible values:
subscriptionsCountnumber · nullableRead-onlyOptional
hasOrHadMembersbooleanRead-onlyOptional
slugstringRequired
taxRegionIdstringRead-onlyOptional
contactEmailstringOptional
priceChangeScopestring · enumOptional

Scope for price changes: ALL_CURRENT updates existing members, NEW_ONLY applies only to new subscriptions

Possible values:
presalesEndDateChangeScopestring · enumOptional

Scope for presales end date changes: ADJUST_SUBSCRIPTIONS updates existing subscribers, NO_CHANGE leaves subscriptions unchanged

Possible values:
adjustMonthlyGrantDatesbooleanOptional

When true and presalesEndDateChangeScope is ADJUST_SUBSCRIPTIONS, also adjusts nextGrantDate for monthly subscriptions

_linksobjectRequired
delete/memberships/{membershipId}
DELETE /apis/v2/memberships/{membershipId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1076

{
  "id": "text",
  "displayName": "text",
  "description": "text",
  "type": "GLOBAL_MEMBER",
  "membershipPlan": {
    "id": "text",
    "displayName": "text"
  },
  "status": "ACTIVE",
  "yearlyPrice": 1,
  "monthlyPrice": 1,
  "monthlyDisplayPrice": "text",
  "initiationFeeMonthly": 1,
  "initiationFeeYearly": 1,
  "additionalMemberFee": 1,
  "additionalMembersCap": 1,
  "bookingHorizonDays": 1,
  "benefits": {
    "items": [
      {}
    ],
    "_links": {
      "self": {
        "href": "text"
      }
    },
    "_total": 1
  },
  "showSubscriptionDetails": true,
  "allowPublicCancellation": true,
  "isGroupMembership": true,
  "areas": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "membershipAreas": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "tags": "MOST_POPULAR",
  "settings": {
    "items": [
      {
        "value": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "slug": "text",
  "allowedChargeTypes": [
    "YEARLY"
  ],
  "contactEmail": "text",
  "oneTimePriceOptions": {
    "items": [
      {
        "id": "text",
        "price": 1,
        "durationDays": 1,
        "listed": true
      }
    ],
    "_links": {
      "self": {
        "href": "text"
      }
    },
    "_total": 1
  },
  "priceChangeScope": "ALL_CURRENT",
  "presalesEndDateChangeScope": "ADJUST_SUBSCRIPTIONS",
  "adjustMonthlyGrantDates": true,
  "_links": {}
}
{
  "id": "text",
  "displayName": "text",
  "description": "text",
  "type": "GLOBAL_MEMBER",
  "membershipPlan": {
    "id": "text",
    "displayName": "text"
  },
  "status": "ACTIVE",
  "yearlyPrice": 1,
  "monthlyPrice": 1,
  "monthlyDisplayPrice": "text",
  "initiationFeeMonthly": 1,
  "initiationFeeYearly": 1,
  "additionalMemberFee": 1,
  "additionalMembersCap": 1,
  "bookingHorizonDays": 1,
  "benefits": {
    "items": [
      {}
    ],
    "_links": {
      "self": {
        "href": "text"
      }
    },
    "_total": 1
  },
  "showSubscriptionDetails": true,
  "allowPublicCancellation": true,
  "isGroupMembership": true,
  "areas": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "membershipAreas": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "tags": "MOST_POPULAR",
  "settings": {
    "items": [
      {
        "id": "membership.priority",
        "value": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "subscriptionsCount": 1,
  "hasOrHadMembers": true,
  "slug": "text",
  "taxRegionId": "text",
  "allowedChargeTypes": [
    "YEARLY"
  ],
  "contactEmail": "text",
  "oneTimePriceOptions": {
    "items": [
      {
        "id": "text",
        "price": 1,
        "durationDays": 1,
        "listed": true
      }
    ],
    "_links": {
      "self": {
        "href": "text"
      }
    },
    "_total": 1
  },
  "priceChangeScope": "ALL_CURRENT",
  "presalesEndDateChangeScope": "ADJUST_SUBSCRIPTIONS",
  "adjustMonthlyGrantDates": true,
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
membershipIdstringRequiredExample: f94e8bf8-454f-4f78-b358-1543ccc05d15
Body
idstringRequired
displayNamestringRequired
descriptionstringRequired
typestring · enumRequiredPossible values:
statusstring · enumRequiredPossible values:
yearlyPricenumberOptional
monthlyPricenumberOptional
monthlyDisplayPricestringOptional
initiationFeeMonthlynumberOptional
initiationFeeYearlynumberOptional
additionalMemberFeenumberOptional
additionalMembersCapnumberOptional
bookingHorizonDaysnumberOptional

If specified, overrides the tenant setting company.bookingHorizonDays.members

showSubscriptionDetailsbooleanOptional
allowPublicCancellationbooleanOptional
isGroupMembershipbooleanOptional
tagsstring · enumRequiredPossible values:
subscriptionsCountnumber · nullableRead-onlyOptional
hasOrHadMembersbooleanRead-onlyOptional
slugstringRequired
taxRegionIdstringRead-onlyOptional
contactEmailstringOptional
priceChangeScopestring · enumOptional

Scope for price changes: ALL_CURRENT updates existing members, NEW_ONLY applies only to new subscriptions

Possible values:
presalesEndDateChangeScopestring · enumOptional

Scope for presales end date changes: ADJUST_SUBSCRIPTIONS updates existing subscribers, NO_CHANGE leaves subscriptions unchanged

Possible values:
adjustMonthlyGrantDatesbooleanOptional

When true and presalesEndDateChangeScope is ADJUST_SUBSCRIPTIONS, also adjusts nextGrantDate for monthly subscriptions

_linksobjectRequired
Responses
200

Returns a Membership

application/json
idstringRequired
displayNamestringRequired
descriptionstringRequired
typestring · enumRequiredPossible values:
statusstring · enumRequiredPossible values:
yearlyPricenumberOptional
monthlyPricenumberOptional
monthlyDisplayPricestringOptional
initiationFeeMonthlynumberOptional
initiationFeeYearlynumberOptional
additionalMemberFeenumberOptional
additionalMembersCapnumberOptional
bookingHorizonDaysnumberOptional

If specified, overrides the tenant setting company.bookingHorizonDays.members

showSubscriptionDetailsbooleanOptional
allowPublicCancellationbooleanOptional
isGroupMembershipbooleanOptional
tagsstring · enumRequiredPossible values:
subscriptionsCountnumber · nullableRead-onlyOptional
hasOrHadMembersbooleanRead-onlyOptional
slugstringRequired
taxRegionIdstringRead-onlyOptional
contactEmailstringOptional
priceChangeScopestring · enumOptional

Scope for price changes: ALL_CURRENT updates existing members, NEW_ONLY applies only to new subscriptions

Possible values:
presalesEndDateChangeScopestring · enumOptional

Scope for presales end date changes: ADJUST_SUBSCRIPTIONS updates existing subscribers, NO_CHANGE leaves subscriptions unchanged

Possible values:
adjustMonthlyGrantDatesbooleanOptional

When true and presalesEndDateChangeScope is ADJUST_SUBSCRIPTIONS, also adjusts nextGrantDate for monthly subscriptions

_linksobjectRequired
patch/memberships/{membershipId}
PATCH /apis/v2/memberships/{membershipId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1076

{
  "id": "text",
  "displayName": "text",
  "description": "text",
  "type": "GLOBAL_MEMBER",
  "membershipPlan": {
    "id": "text",
    "displayName": "text"
  },
  "status": "ACTIVE",
  "yearlyPrice": 1,
  "monthlyPrice": 1,
  "monthlyDisplayPrice": "text",
  "initiationFeeMonthly": 1,
  "initiationFeeYearly": 1,
  "additionalMemberFee": 1,
  "additionalMembersCap": 1,
  "bookingHorizonDays": 1,
  "benefits": {
    "items": [
      {}
    ],
    "_links": {
      "self": {
        "href": "text"
      }
    },
    "_total": 1
  },
  "showSubscriptionDetails": true,
  "allowPublicCancellation": true,
  "isGroupMembership": true,
  "areas": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "membershipAreas": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "tags": "MOST_POPULAR",
  "settings": {
    "items": [
      {
        "value": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "slug": "text",
  "allowedChargeTypes": [
    "YEARLY"
  ],
  "contactEmail": "text",
  "oneTimePriceOptions": {
    "items": [
      {
        "id": "text",
        "price": 1,
        "durationDays": 1,
        "listed": true
      }
    ],
    "_links": {
      "self": {
        "href": "text"
      }
    },
    "_total": 1
  },
  "priceChangeScope": "ALL_CURRENT",
  "presalesEndDateChangeScope": "ADJUST_SUBSCRIPTIONS",
  "adjustMonthlyGrantDates": true,
  "_links": {}
}
{
  "id": "text",
  "displayName": "text",
  "description": "text",
  "type": "GLOBAL_MEMBER",
  "membershipPlan": {
    "id": "text",
    "displayName": "text"
  },
  "status": "ACTIVE",
  "yearlyPrice": 1,
  "monthlyPrice": 1,
  "monthlyDisplayPrice": "text",
  "initiationFeeMonthly": 1,
  "initiationFeeYearly": 1,
  "additionalMemberFee": 1,
  "additionalMembersCap": 1,
  "bookingHorizonDays": 1,
  "benefits": {
    "items": [
      {}
    ],
    "_links": {
      "self": {
        "href": "text"
      }
    },
    "_total": 1
  },
  "showSubscriptionDetails": true,
  "allowPublicCancellation": true,
  "isGroupMembership": true,
  "areas": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "membershipAreas": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "tags": "MOST_POPULAR",
  "settings": {
    "items": [
      {
        "id": "membership.priority",
        "value": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "subscriptionsCount": 1,
  "hasOrHadMembers": true,
  "slug": "text",
  "taxRegionId": "text",
  "allowedChargeTypes": [
    "YEARLY"
  ],
  "contactEmail": "text",
  "oneTimePriceOptions": {
    "items": [
      {
        "id": "text",
        "price": 1,
        "durationDays": 1,
        "listed": true
      }
    ],
    "_links": {
      "self": {
        "href": "text"
      }
    },
    "_total": 1
  },
  "priceChangeScope": "ALL_CURRENT",
  "presalesEndDateChangeScope": "ADJUST_SUBSCRIPTIONS",
  "adjustMonthlyGrantDates": true,
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
membershipIdstringRequiredExample: f94e8bf8-454f-4f78-b358-1543ccc05d15
Responses
200

Returns a Number

application/json
numberOptional
get/memberships/{membershipId}/subscriptions-count
GET /apis/v2/memberships/{membershipId}/subscriptions-count HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a Number

1
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
membershipIdstringRequiredExample: f94e8bf8-454f-4f78-b358-1543ccc05d15
Responses
200

Returns a true if the membership has or had members, false otherwise

application/json
booleanOptional
get/memberships/{membershipId}/has-or-had-members
GET /apis/v2/memberships/{membershipId}/has-or-had-members HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a true if the membership has or had members, false otherwise

true
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
membershipIdstringRequiredExample: f94e8bf8-454f-4f78-b358-1543ccc05d15
Responses
200

Returns a MembershipBenefitsCollection

application/json
itemsobject · MembershipBenefitDto[]Required
_totalnumberRequired
get/memberships/{membershipId}/benefits
GET /apis/v2/memberships/{membershipId}/benefits HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a MembershipBenefitsCollection

{
  "items": [
    {}
  ],
  "_links": {
    "self": {
      "href": "text"
    }
  },
  "_total": 1
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
membershipIdstringRequiredExample: f94e8bf8-454f-4f78-b358-1543ccc05d15
Responses
200

Returns a OneTimePriceOptionsCollection

application/json
_totalnumberRequired
get/memberships/{membershipId}/one-time-price-options
GET /apis/v2/memberships/{membershipId}/one-time-price-options HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a OneTimePriceOptionsCollection

{
  "items": [
    {
      "id": "text",
      "price": 1,
      "durationDays": 1,
      "listed": true
    }
  ],
  "_links": {
    "self": {
      "href": "text"
    }
  },
  "_total": 1
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
membershipIdstringRequiredExample: HOME_DOBRO
Responses
200

Returns an AreaCollection

application/json
idstringRequired
displayNamestringRequired
descriptionstringRequired
typestring · enumRequiredPossible values:
statusstring · enumRequiredPossible values:
yearlyPricenumberOptional
monthlyPricenumberOptional
monthlyDisplayPricestringOptional
initiationFeeMonthlynumberOptional
initiationFeeYearlynumberOptional
additionalMemberFeenumberOptional
additionalMembersCapnumberOptional
bookingHorizonDaysnumberOptional

If specified, overrides the tenant setting company.bookingHorizonDays.members

showSubscriptionDetailsbooleanOptional
allowPublicCancellationbooleanOptional
isGroupMembershipbooleanOptional
tagsstring · enumRequiredPossible values:
subscriptionsCountnumber · nullableRead-onlyOptional
hasOrHadMembersbooleanRead-onlyOptional
slugstringRequired
taxRegionIdstringRead-onlyOptional
contactEmailstringOptional
priceChangeScopestring · enumOptional

Scope for price changes: ALL_CURRENT updates existing members, NEW_ONLY applies only to new subscriptions

Possible values:
presalesEndDateChangeScopestring · enumOptional

Scope for presales end date changes: ADJUST_SUBSCRIPTIONS updates existing subscribers, NO_CHANGE leaves subscriptions unchanged

Possible values:
adjustMonthlyGrantDatesbooleanOptional

When true and presalesEndDateChangeScope is ADJUST_SUBSCRIPTIONS, also adjusts nextGrantDate for monthly subscriptions

_linksobjectRequired
get/memberships/{membershipId}/areas
GET /apis/v2/memberships/{membershipId}/areas HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns an AreaCollection

{
  "id": "text",
  "displayName": "text",
  "description": "text",
  "type": "GLOBAL_MEMBER",
  "membershipPlan": {
    "id": "text",
    "displayName": "text"
  },
  "status": "ACTIVE",
  "yearlyPrice": 1,
  "monthlyPrice": 1,
  "monthlyDisplayPrice": "text",
  "initiationFeeMonthly": 1,
  "initiationFeeYearly": 1,
  "additionalMemberFee": 1,
  "additionalMembersCap": 1,
  "bookingHorizonDays": 1,
  "benefits": {
    "items": [
      {}
    ],
    "_links": {
      "self": {
        "href": "text"
      }
    },
    "_total": 1
  },
  "showSubscriptionDetails": true,
  "allowPublicCancellation": true,
  "isGroupMembership": true,
  "areas": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "membershipAreas": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "tags": "MOST_POPULAR",
  "settings": {
    "items": [
      {
        "id": "membership.priority",
        "value": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "subscriptionsCount": 1,
  "hasOrHadMembers": true,
  "slug": "text",
  "taxRegionId": "text",
  "allowedChargeTypes": [
    "YEARLY"
  ],
  "contactEmail": "text",
  "oneTimePriceOptions": {
    "items": [
      {
        "id": "text",
        "price": 1,
        "durationDays": 1,
        "listed": true
      }
    ],
    "_links": {
      "self": {
        "href": "text"
      }
    },
    "_total": 1
  },
  "priceChangeScope": "ALL_CURRENT",
  "presalesEndDateChangeScope": "ADJUST_SUBSCRIPTIONS",
  "adjustMonthlyGrantDates": true,
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
membershipIdstringRequired
areaIdstringRequiredExample: w37
Responses
200

Returns MembershipSettingsCollection

application/json
_totalnumberRequired
get/memberships/{membershipId}/settings
GET /apis/v2/memberships/{membershipId}/settings HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns MembershipSettingsCollection

{
  "items": [
    {
      "id": "membership.priority",
      "value": {}
    }
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}

Last updated

Was this helpful?